# ManageEngine MDM

## Connection Requirements

{% stepper %}
{% step %}

### IP

IP address of the ManageEngine MDM host. (default: mdm.managenegine.com)
{% endstep %}

{% step %}

### Port

Port number (optional, default: 443).
{% endstep %}

{% step %}

### API Key (Use only on-Prem)

* On the MDM server, click on Admin tab from the top menu and select API Key Generation, present under Integrations.
* Follow the on-screen instructions to generate an API key.

{% hint style="info" %}
scope\
Rest of the options are for the cloud the users. If you're on-Prem, you may leave them blank. In order to use the API, you have to obtain a Grant Token from ManageEngine MDM service. Redirect to the following authorization URL with the , client\_id , response\_type(you may use "code" in here) , redirect\_uri options. <https://accounts.zoho.com/oauth/v2/auth>?
{% endhint %}

{% hint style="info" %}
Request Example

```
https://accounts.zoho.com/oauth/v2/auth?scope=MDMOnDemand.MDMInventory.CREATE, MDMOnDemand.MDMInventory.READ&client_id=1000.0SRSZSY37WMZ69405H3TMYI2239V& state=testing&response_type=code&redirect_uri=http://www.mdm.manageengine.com& access_type=offline
```

* On this request, you will be shown with a "user consent page".
* Upon clicking “Accept”, Zoho will redirect to the given redirect\_uri with code and state param. This code value is mandatory to get the access token in the next step and this code is valid for 60 seconds.
* On clicking “Deny”, the server returns an error and you will not be able to use API
  {% endhint %}
  {% endstep %}

{% step %}

### Code

Obtained in above step.
{% endstep %}

{% step %}

### Client ID

Client ID obtained during Client Registration
{% endstep %}

{% step %}

### Client Secret

Client secret obtained during Client Registration
{% endstep %}

{% step %}

### Redirect URI

This param should be same redirect url mentioned while adding Client
{% endstep %}

{% step %}

### SSL

Use SSL for connection (optional, default: True).

Device Based Information: MDMOnDemand.MDMInventory.READ, MDMOnDemand.MDMInventory.READ\
User Based Information: MDMOnDemand.MDMUser.READ
{% endstep %}
{% endstepper %}

{% hint style="warning" %}
Attention\
Please perform a **connection test** to ensure there is a valid connection to the host.\
When the discovery operation is finalized, you will be able to see the details on the **Assets** page.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.octoxlabs.com/adapters/adapters/manageengine-mdm.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
